List Import Queue Sessions
curl --request GET \
--url https://api.bizzy.ai/v1/agents/import-queue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v1/agents/import-queue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v1/agents/import-queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"sessionId": 3456790,
"agentId": 1234567,
"status": "PENDING",
"createdAt": "2025-12-17T16:18:00.000Z"
},
{
"sessionId": 3456789,
"agentId": 1234567,
"status": "COMPLETED",
"createdAt": "2025-12-17T11:42:00.000Z"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 2
}
}
Agent API
List Import Queue Sessions
GET
/
v1
/
agents
/
import-queue
List Import Queue Sessions
Get a paginated list of all import queue sessions for your team. Each session represents a batch import operation. Sessions are returned in descending order by creation date (most recent first).
Request
Query Parameters
number
default:0
The number of items to skip before starting to collect the result set
number
default:4
The maximum number of items to return
Response
{
"data": [
{
"sessionId": 3456790,
"agentId": 1234567,
"status": "PENDING",
"createdAt": "2025-12-17T16:18:00.000Z"
},
{
"sessionId": 3456789,
"agentId": 1234567,
"status": "COMPLETED",
"createdAt": "2025-12-17T11:42:00.000Z"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 2
}
}
array
Array of import queue session objects
Show Session properties
Show Session properties
number
Unique identifier for the import session
number
The ID of the agent this session belongs to
string
Current status of the import session. Can be one of:
PENDING- Session is open and accepting companiesPROCESSING- Session is being processedCOMPLETED- Session has been successfully processed
string
ISO 8601 timestamp of when the session was created
Was this page helpful?
⌘I